<?php

class GlobalContextURIs_ {
}

class GlobalContextURIs_App {

	const _self = "/app";
}

class GlobalContextURIs_Config {

	const _self = "/config";
	const accessLoggingEnabled = "/config/accessLogging";
	const apacheRouteID = "/config/apacheRouteID";
	const channelFramework = "/config/channelFramework";
	const compressResponse = "/config/compressResponse";
	const contextRoot = "/config/contextRoot";
	const createDumpOnErrantRequest = "/config/createDumpOnErrantRequest";
	const defaultContentType = "/config/defaultContentType";
	const dependencies = "/config/dependencies";
	const exitCode = "/config/exitCode";
	const externalUriPrefix = "/config/externalUriPrefix";
	const id = "/config/id";
	const instanceNumber = "/config/instanceNumber";
	const maxStopTime = "/config/maxStopTime";
	const maxThreads = "/config/maxThreads";
	const mimeTypes = "/config/mimeTypes";
	const minThreads = "/config/minThreads";
	const name = "/config/name";
	const properties = "/config/properties";
	const requestLogging = "/config/requestLogging";
	const requestLoggingLimit = "/config/requestLoggingLimit";
	const root = "/config/root";
	const task = "/config/task";
	const tmpDir = "/config/tmpDir";
	const zerohome = "/config/zerohome";
}

class GlobalContextURIs_Config_Connection {

	const _self = "/config/connection";
	const defaults = "/config/connection/defaults";
	const destinations = "/config/connection/destinations";
	const https = "/config/connection/https";
}

class GlobalContextURIs_Config_Fileserver {

	const _self = "/config/fileserver";
	const defaultExtensions = "/config/fileserver/defaultExtensions";
	const directoryBrowsing = "/config/fileserver/directoryBrowsing";
	const directoryView = "/config/fileserver/directoryView";
	const expires = "/config/fileserver/expires";
	const setEtag = "/config/fileserver/setEtag";
}

class GlobalContextURIs_Config_Http {

	const _self = "/config/http";
	const ipAddress = "/config/http/ipAddress";
	const keepAliveTimeout = "/config/http/keepAliveTimeout";
	const port = "/config/http/port";
	const readTimeout = "/config/http/readTimeout";
}

class GlobalContextURIs_Config_Https {

	const _self = "/config/https";
	const ipAddress = "/config/https/ipAddress";
	const port = "/config/https/port";
}

class GlobalContextURIs_Config_Https_SSLConfig {

	const _self = "/config/https/sslconfig";
	const clientAuthentication = "/config/https/sslconfig#clientAuthentication";
	const keyStore = "/config/https/sslconfig#keyStore";
	const keyStorePassword = "/config/https/sslconfig#keyStorePassword";
	const keyStoreType = "/config/https/sslconfig#keyStoreType";
	const trustStore = "/config/https/sslconfig#trustStore";
	const trustStorePassword = "/config/https/sslconfig#trustStorePassword";
	const trustStoreType = "/config/https/sslconfig#trustStoreType";
}

class GlobalContextURIs_Config_Json {

	const _self = "/config/json";
	const converters = "/config/json/converters";
	const derivedConverters = "/config/json/derivedConverters";
	const prettyPrint = "/config/json/prettyPrint";
	const stringFilters = "/config/json/stringFilters";
}

class GlobalContextURIs_Config_Resources {

	const _self = "/config/resources";
	const defaultExtensions = "/config/resources/defaultExtensions";
}

class GlobalContextURIs_Config_Runtime {

	const _self = "/config/runtime";
	const classpath = "/config/runtime/classpath";
	const mode = "/config/runtime/mode";
	const natives = "/config/runtime/natives";
}

class GlobalContextURIs_Config_Security {

	const _self = "/config/security";
	const cacheControl = "/config/security/cacheControl";
	const formLoginPage = "/config/security/formLoginPage";
	const realm = "/config/security/realm";
	const roles = "/config/security/roles";
	const ssoURL = "/config/security/ssoURL";
}

class GlobalContextURIs_Config_Security_JAAS {

	const _self = "/config/security/jaas";
	const callbackHandler = "/config/security/jaas/callbackHandler";
	const configName = "/config/security/jaas/configName";
	const loginModules = "/config/security/jaas/loginModules";
}

class GlobalContextURIs_Config_Security_Token {

	const _self = "/config/security/token";
	const csrfGlobalPostLoginFallback = "/config/security/token/csrfGlobalPostLoginFallback";
	const enableCsrfProtection = "/config/security/token/enableCsrfProtection";
	const enableStrongCsrfProtection = "/config/security/token/enableStrongCsrfProtection";
	const securedCookie = "/config/security/token/securedCookie";
	const tokenType = "/config/security/token/tokenType";
}

class GlobalContextURIs_Config_Security_Token_Ltpa2 {

	const _self = "/config/security/token/ltpa2";
	const keyImportFile = "/config/security/token/ltpa2#keyImportFile";
	const keyPassword = "/config/security/token/ltpa2#keyPassword";
	const ssoDomains = "/config/security/token/ltpa2#ssoDomains";
	const tokenExpiration = "/config/security/token/ltpa2#tokenExpiration";
}

class GlobalContextURIs_Config_Security_UserService {

	const _self = "/config/security/userservice";
	const registryImpl = "/config/security/userservice/registryImpl";
	const registryType = "/config/security/userservice/registryType";
}

class GlobalContextURIs_Config_Security_UserService_File {

	const _self = "/config/security/userservice/file";
	const pathToUserfileInGc = "/config/security/userservice/file/pathToUserfile";
}

class GlobalContextURIs_Config_Security_UserService_LDAP {

	const _self = "/config/security/userservice/ldap";
	const fullBaseDNFilterPattern = "/config/security/userservice/ldap#fullBaseDNFilterPattern";
	const ignoreBaseDN = "/config/security/userservice/ldap#ignoreBaseDN";
	const jndiInitialContextFactory = "/config/security/userservice/ldap#jndiInitialContextFactory";
	const jndiProviderUrl = "/config/security/userservice/ldap#jndiProviderUrl";
	const jndiSecurityAuthentication = "/config/security/userservice/ldap#jndiSecurityAuthentication";
	const jndiSecurityCredentials = "/config/security/userservice/ldap#jndiSecurityCredentials";
	const jndiSecurityPrincipal = "/config/security/userservice/ldap#jndiSecurityPrincipal";
	const ldapGroupAttributeType = "/config/security/userservice/ldap#ldapGroupAttributeType";
	const ldapGroupBaseDn = "/config/security/userservice/ldap#ldapGroupBaseDn";
	const ldapGroupSearchFilterPattern = "/config/security/userservice/ldap#ldapGroupSearchFilterPattern";
	const ldapSearchScope = "/config/security/userservice/ldap#ldapSearchScope";
	const ldapSearchTimeLimit = "/config/security/userservice/ldap#ldapSearchTimeLimit";
	const ldapSocketFactory = "/config/security/userservice/ldap#ldapSocketFactory";
	const ldapUserIdBaseDn = "/config/security/userservice/ldap#ldapUserIdBaseDn";
	const ldapUserIdRdnPattern = "/config/security/userservice/ldap#ldapUserIdRdnPattern";
	const ldapUserIdSearchFilterPattern = "/config/security/userservice/ldap#ldapUserIdSearchFilterPattern";
}

class GlobalContextURIs_Config_Tasks {

	const _self = "/config/tasks";
	const defaultExtensions = "/config/tasks/defaultExtensions";
}

class GlobalContextURIs_Config_UserZone {

	const _self = "/config/userZone";
	const idleTimeout = "/config/userZone/idleTimeout";
}

class GlobalContextURIs_Config_ZSO {

	const _self = "/config/zso";
	const immediateStart = "/config/zso/immediateStart";
	const jvmArgs = "/config/zso/jvmargs";
}

class GlobalContextURIs_Config_ZSO_Recycle {

	const IDLE_TIMEOUT = "/idleTimeout";
	const MAX_REQUESTS = "/maxRequests";
	const _self = "/config/zso/recycle";
	const enable = "/config/zso/recycle/enable";
	const idleTimeout = "/config/zso/recycleIDLE_TIMEOUT";
	const maxRequests = "/config/zso/recycleMAX_REQUESTS";
}

class GlobalContextURIs_Connection {

	const _self = "/connection";
	const configuration = "/connection/configuration";
}

class GlobalContextURIs_Connection_Request {

	const _self = "/connection/request";
	const body = "/connection/request/body";
	const headers = "/connection/request/headers";
	const operation = "/connection/request/operation";
	const outputStream = "/connection/request/outputStream";
	const target = "/connection/request/target";
}

class GlobalContextURIs_Connection_Request_Protocol {

	const _self = "/connection/request/protocol";
	const name = "/connection/request/protocol/_name";
}

class GlobalContextURIs_Connection_Response {

	const _self = "/connection/response";
	const body = "/connection/response/body";
	const defaultCharset = "/connection/response/defaultCharset";
	const headers = "/connection/response/headers";
	const status = "/connection/response/status";
	const valuePath = "/connection/response/valuePath";
}

class GlobalContextURIs_Event {

	const _self = "/event";
	const authType = "/event/authType";
	const csrfProtectedResource = "/event/csrfProtect";
	const done = "/event/done";
	const groups = "/event/groups";
	const matchedPath = "/event/matchedPath";
	const name = "/event/_name";
	const parentPath = "/event/parentPath";
	const password = "/event/password";
	const pathInfo = "/event/pathInfo";
	const remoteGroup = "/event/remoteGroup";
	const remoteUser = "/event/remoteUser";
	const requireSSL = "/event/requireSSL";
	const resolvedHandlers = "/event/resolvedHandlers";
	const resolvingEvent = "/event/resolvingEvent";
	const roles = "/event/roles";
	const task = "/event/task";
	const uri = "/event/uri";
	const userName = "/event/username";
	const users = "/event/users";
}

class GlobalContextURIs_Request {

	const _self = "/request";
	const connection = "/request/connection";
	const csrfVerifiedUnauthenticatedRequest = "/request/_csrfVerifiedUnuthenticatedRequest";
	const files = "/request/files";
	const input = "/request/input";
	const locales = "/request/locales";
	const method = "/request/method";
	const outputStream = "/request/outputStream";
	const params = "/request/params";
	const path = "/request/path";
	const protocol = "/request/protocol";
	const queryString = "/request/queryString";
	const remoteAddress = "/request/remoteAddress";
	const remoteHost = "/request/remoteHost";
	const remotePort = "/request/remotePort";
	const requestLogLocation = "/request/requestLog";
	const requestLogName = "/request/requestLogName";
	const scheme = "/request/scheme";
	const serverName = "/request/serverName";
	const serverPort = "/request/serverPort";
	const status = "/request/status";
	const type = "/request/authType";
	const uri = "/request/uri";
	const view = "/request/view";
	const writer = "/request/writer";
}

class GlobalContextURIs_Request_Cookies {

	const _self = "/request/cookies";
	const in = "/request/cookies/in";
	const out = "/request/cookies/out";
}

class GlobalContextURIs_Request_Error {

	const _self = "/request/error";
	const exception = "/request/error/exception";
	const message = "/request/error/message";
}

class GlobalContextURIs_Request_Headers {

	const _self = "/request/headers";
	const in = "/request/headers/in";
	const out = "/request/headers/out";
	const sent = "/request/headers/sent";
}

class GlobalContextURIs_Request_Json {

	const _self = "/request/json";
	const output = "/request/json/output";
}

class GlobalContextURIs_Request_Subject {

	const _self = "/request/subject";
	const groups = "/request/subject/groups";
	const remoteCodePrincipals = "/request/subject/remoteCodePrincipals";
	const remoteUser = "/request/subject/remoteUser";
	const roles = "/request/subject/roles";
	const users = "/request/subject/users";
}

class GlobalContextURIs_Tmp {

	const _self = "/tmp";
}

class GlobalContextURIs_User {

	const _self = "/user";
	const authCookie = "/user/_authCookie";
	const csrfToken = "/user/_csrfToken";
	const csrfTokenIsSecure = "/user/_csrfTokenIsSecure";
	const debug = "/user/debug";
	const invalidate = "/user#invalidate";
	const save = "/user#save";
	const sessionCookie = "/user/zsessionid";
	const username = "/user/_username";
}
?>
