<?php

$xmlstring = <<< XML
<?xml version='1.0' standalone='yes'?>
<people>
    <person type="employee" age="20">
        <lastname>Smith</lastname>
        <firstname>John</firstname>
    </person>
    <person type="manager" age="41">
        <lastname>Doe</lastname>
        <firstname>Jane</firstname>
    </person>
</people>
XML;

$people = xml_decode($xmlstring);
// Smith
echo $people->person[0]->lastname[0]->toString();
// Jane
echo $people->person[1]->firstname[0]->toString();
// manager
echo $people->person[1]->getAttribute('type');

/*
 * Lastname:Smith type:employee age:20
 * Lastname:Doe type:manager age:41
 * 
 */
foreach ($people->person as $person) {
	echo "Lastname:".$person->lastname[0]->toString();
	foreach($person->getAttributes() as $attr => $value) {
		echo " ".$attr.":".$value; 
	}
}
?>